## qbittorrent 4.6.6

=== debian/changelog ===
qbittorrent (4.6.6-0.1~mx21+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 19 Aug 2024 21:15:46 -0700

qbittorrent (4.6.5-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert to Qt5 builds.
  * Restore systemd as alternative build-dep.
  * Don't build-depend on particular minver of libboost-dev.
  * Add qtbase5-private-dev to build-depends to fix FTBFS.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 30 May 2024 17:24:01 -0700

=== debian/control ===
Source: qbittorrent
Section: net
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Christian Marillat <marillat@debian.org>
Homepage: https://www.qbittorrent.org/
Standards-Version: 4.6.1
Build-Depends: cmake,
               debhelper-compat (= 13),
               libboost-dev,
               libqt5svg5-dev (>= 5.15.0),
               libtorrent-rasterbar-dev (>= 2.0.9~),
               libxkbcommon-dev,
               ninja-build,
               qtbase5-private-dev (>= 5.15.0),
               qttools5-dev,
               qttools5-dev-tools,
               systemd-dev | systemd,
               zlib1g-dev

Package: qbittorrent
Architecture: any
Depends: libqt5sql5-sqlite, libqt5svg5, ${misc:Depends}, ${shlibs:Depends}
Description: bittorrent client based on libtorrent-rasterbar with a Qt5 GUI
 BitTorrent client written in C++ and based on libtorrent-rasterbar with a
 Qt5 user interface. qBittorrent is a feature rich but lightweight client
 that is very similar to uTorrent. Its main features are:
 .
  * Polished uTorrent-like user interface
  * Well integrated and extensible search engine
  * Remote control through a Web user interface
  * Vuze-compatible protocol encryption
  * uTorrent-compatible Peer eXchange (PeX)
  * DHT (trackerless) support
  * UPnP / NAT-PMP port forwarding
  * IPv6 compliant
  * RSS support with advanced download filters
  * Advanced control over torrent content and trackers
  * IP Filtering (eMule / Peer Guardian filters)
  * Torrents queueing and prioritizing
  * Good localization (~25 languages supported)
  * Unicode support

Package: qbittorrent-nox
Architecture: any
Depends: libqt5sql5-sqlite, ${misc:Depends}, ${shlibs:Depends}
Description: bittorrent client based on libtorrent-rasterbar (without X support)
 BitTorrent client written in C++ and based on libtorrent-rasterbar.
 qBittorrent-nox is a version of qBittorrent (Qt5 application) that does not
 require X and can be controlled via a WebUI, thus is more suitable for
 headless servers. It is a feature rich but lightweight client that is very
 similar to rTorrent. Its main features are:
 .
  * Remote control through a Web user interface
  * Vuze-compatible protocol encryption
  * uTorrent-compatible Peer eXchange (PeX)
  * DHT (trackerless) support
  * UPnP / NAT-PMP port forwarding
  * IPv6 compliant
  * Advanced control over torrent content and trackers
  * IP Filtering (eMule / Peer Guardian filters)
  * Torrents queueing and prioritizing
  * Good localization (~25 languages supported)
  * Unicode support

## qbittorrent 4.6.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR) # Policies <= CMP0097 default to NEW

project(qBittorrent
    DESCRIPTION "The qBittorrent BitTorrent client"
    HOMEPAGE_URL "https://www.qbittorrent.org/"
    LANGUAGES CXX
)

# version requirements - older versions may work, but you are on your own
set(minBoostVersion 1.71)
set(minQt5Version 5.15.2)
set(minQt6Version 6.2)
set(minOpenSSLVersion 1.1.1)
set(minLibtorrent1Version 1.2.19)
set(minLibtorrentVersion 2.0.9)
set(minZlibVersion 1.2.11)

include(CheckCXXSourceCompiles) # TODO: migrate to CheckSourceCompiles in CMake >= 3.19
include(GNUInstallDirs)

list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/Modules)
include(FeatureSummary)
include(FeatureOptionsSetup)

# features, list is loosely sorted by user's interests
feature_option(GUI "Build GUI application" ON)
feature_option(WEBUI "Enable built-in HTTP server for remote control" ON)
feature_option(QT6 "Build with Qt 6 instead of Qt 5" OFF)
feature_option(STACKTRACE "Enable stacktrace support" ON)
feature_option(TESTING "Build internal testing suite" OFF)
feature_option(VERBOSE_CONFIGURE "Show information about PACKAGES_FOUND and PACKAGES_NOT_FOUND in the configure output (only useful for debugging the CMake build scripts)" OFF)

if (CMAKE_SYSTEM_NAME STREQUAL "Linux" OR CMAKE_SYSTEM_NAME STREQUAL "FreeBSD")
    feature_option_dependent(DBUS
        "Enable support for notifications and power-management features via D-Bus"
        ON "GUI" OFF
    )
endif()

if (CMAKE_SYSTEM_NAME STREQUAL "Linux")
    feature_option_dependent(SYSTEMD
        "Install systemd service file. Target directory is overridable with `SYSTEMD_SERVICES_INSTALL_DIR` variable"
        OFF "NOT GUI" OFF
    )
endif()

if (MSVC)
    feature_option(MSVC_RUNTIME_DYNAMIC "Use MSVC dynamic runtime library (-MD) instead of static (-MT)" ON)
endif()

if (VERBOSE_CONFIGURE)
    feature_summary(WHAT ALL)
else()
    feature_summary(WHAT ENABLED_FEATURES DISABLED_FEATURES)
endif()

# go check the packages
include(CheckPackages)
# configure for specific platform
include(CommonConfig)

# Generate version header
configure_file("src/base/version.h.in" "${CMAKE_CURRENT_SOURCE_DIR}/src/base/version.h" @ONLY)

add_subdirectory(src)
add_subdirectory(dist)

if (TESTING)
    add_subdirectory(test)
endif()

=== dist/unix/CMakeLists.txt ===
if (SYSTEMD)
    if (NOT SYSTEMD_SERVICES_INSTALL_DIR)
        find_package(Systemd)
        if (NOT SYSTEMD_FOUND)
            message(
                FATAL_ERROR
                "Could not locate systemd services install dir."
                " Either pass the -DSYSTEMD_SERVICES_INSTALL_DIR=/path/to/systemd/services option"
                " or install systemd pkg-config"
            )
        endif()
    endif()
    set(EXPAND_BINDIR ${CMAKE_INSTALL_FULL_BINDIR})
    configure_file(systemd/qbittorrent-nox@.service.in ${CMAKE_CURRENT_BINARY_DIR}/qbittorrent-nox@.service @ONLY)
    install(FILES "${CMAKE_CURRENT_BINARY_DIR}/qbittorrent-nox@.service"
        DESTINATION ${SYSTEMD_SERVICES_INSTALL_DIR}
        COMPONENT data
    )
endif()

if (GUI)
    list(APPEND MAN_FILES ${PROJECT_SOURCE_DIR}/doc/qbittorrent.1)
else()
    list(APPEND MAN_FILES ${PROJECT_SOURCE_DIR}/doc/qbittorrent-nox.1)
endif()

install(FILES ${MAN_FILES}
    DESTINATION ${CMAKE_INSTALL_MANDIR}/man1
    COMPONENT doc
)

if (GUI)
    install(FILES org.qbittorrent.qBittorrent.desktop
        DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications/
        COMPONENT data
    )

    install(FILES org.qbittorrent.qBittorrent.metainfo.xml
        DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/metainfo/
        COMPONENT data
    )

    install(DIRECTORY menuicons/
        DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor
        COMPONENT data
    )

    install(FILES
        ${PROJECT_SOURCE_DIR}/src/icons/qbittorrent-tray.svg
        ${PROJECT_SOURCE_DIR}/src/icons/qbittorrent-tray-dark.svg
        ${PROJECT_SOURCE_DIR}/src/icons/qbittorrent-tray-light.svg
        DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/scalable/status
        COMPONENT data
    )
endif()

=== src/base/CMakeLists.txt ===
add_library(qbt_base STATIC
    # headers
    3rdparty/expected.hpp
    algorithm.h
    applicationcomponent.h
    asyncfilestorage.h
    bittorrent/abstractfilestorage.h
    bittorrent/addtorrentparams.h
    bittorrent/bandwidthscheduler.h
    bittorrent/bencoderesumedatastorage.h
    bittorrent/cachestatus.h
    bittorrent/categoryoptions.h
    bittorrent/common.h
    bittorrent/customstorage.h
    bittorrent/dbresumedatastorage.h
    bittorrent/downloadpriority.h
    bittorrent/extensiondata.h
    bittorrent/filesearcher.h
    bittorrent/filterparserthread.h
    bittorrent/infohash.h
    bittorrent/loadtorrentparams.h
    bittorrent/ltqbitarray.h
    bittorrent/ltqhash.h
    bittorrent/lttypecast.h
    bittorrent/magneturi.h
    bittorrent/nativesessionextension.h
    bittorrent/nativetorrentextension.h
    bittorrent/peeraddress.h
    bittorrent/peerinfo.h
    bittorrent/portforwarderimpl.h
    bittorrent/resumedatastorage.h
    bittorrent/session.h
    bittorrent/sessionimpl.h
    bittorrent/sessionstatus.h
    bittorrent/speedmonitor.h
    bittorrent/torrent.h
    bittorrent/torrentcontenthandler.h
    bittorrent/torrentcontentlayout.h
    bittorrent/torrentcreatorthread.h
    bittorrent/torrentimpl.h
    bittorrent/torrentinfo.h
    bittorrent/tracker.h
    bittorrent/trackerentry.h
    digest32.h
    exceptions.h
    global.h
    http/connection.h
    http/httperror.h
    http/irequesthandler.h
    http/requestparser.h
    http/responsebuilder.h
    http/responsegenerator.h
    http/server.h
    http/types.h
    iconprovider.h
    indexrange.h
    interfaces/iapplication.h
    interfaces/istringable.h
    logger.h
    net/dnsupdater.h
    net/downloadhandlerimpl.h
    net/downloadmanager.h
    net/geoipdatabase.h
    net/geoipmanager.h
    net/portforwarder.h
    net/proxyconfigurationmanager.h
    net/reverseresolution.h
    net/smtp.h
    orderedset.h
    path.h
    pathfwd.h
    preferences.h
    profile.h
    profile_p.h
    rss/feed_serializer.h
    rss/rss_article.h
    rss/rss_autodownloader.h
    rss/rss_autodownloadrule.h
    rss/rss_feed.h
    rss/rss_folder.h
    rss/rss_item.h
    rss/rss_parser.h
    rss/rss_session.h
    search/searchdownloadhandler.h
    search/searchhandler.h
    search/searchpluginmanager.h
    settingsstorage.h
    tagset.h
    torrentfileguard.h
    torrentfileswatcher.h
    torrentfilter.h
    types.h
    unicodestrings.h
    utils/bytearray.h
    utils/compare.h
    utils/foreignapps.h
    utils/fs.h
    utils/gzip.h
    utils/io.h
    utils/misc.h
    utils/net.h
    utils/os.h
    utils/password.h
    utils/random.h
    utils/string.h
    utils/thread.h
    utils/version.h
    version.h

    # sources
    applicationcomponent.cpp
    asyncfilestorage.cpp
    bittorrent/abstractfilestorage.cpp
    bittorrent/addtorrentparams.cpp
    bittorrent/bandwidthscheduler.cpp
    bittorrent/bencoderesumedatastorage.cpp
    bittorrent/categoryoptions.cpp
    bittorrent/customstorage.cpp
    bittorrent/dbresumedatastorage.cpp
    bittorrent/downloadpriority.cpp
    bittorrent/filesearcher.cpp
    bittorrent/filterparserthread.cpp
    bittorrent/infohash.cpp
    bittorrent/ltqbitarray.cpp
    bittorrent/magneturi.cpp
    bittorrent/nativesessionextension.cpp
    bittorrent/nativetorrentextension.cpp
    bittorrent/peeraddress.cpp
    bittorrent/peerinfo.cpp
    bittorrent/portforwarderimpl.cpp
    bittorrent/resumedatastorage.cpp
    bittorrent/sessionimpl.cpp
    bittorrent/speedmonitor.cpp
    bittorrent/torrent.cpp
    bittorrent/torrentcontenthandler.cpp
    bittorrent/torrentcreatorthread.cpp
    bittorrent/torrentimpl.cpp
    bittorrent/torrentinfo.cpp
    bittorrent/tracker.cpp
    bittorrent/trackerentry.cpp
    exceptions.cpp
    http/connection.cpp
    http/httperror.cpp
    http/requestparser.cpp
    http/responsebuilder.cpp
    http/responsegenerator.cpp
    http/server.cpp
    iconprovider.cpp
    logger.cpp
    net/dnsupdater.cpp
    net/downloadhandlerimpl.cpp
    net/downloadmanager.cpp
    net/geoipdatabase.cpp
    net/geoipmanager.cpp
    net/portforwarder.cpp
    net/proxyconfigurationmanager.cpp
    net/reverseresolution.cpp
    net/smtp.cpp
    path.cpp
    preferences.cpp
    profile.cpp
    profile_p.cpp
    rss/feed_serializer.cpp
    rss/rss_article.cpp
    rss/rss_autodownloader.cpp
    rss/rss_autodownloadrule.cpp
    rss/rss_feed.cpp
    rss/rss_folder.cpp
    rss/rss_item.cpp
    rss/rss_parser.cpp
    rss/rss_session.cpp
    search/searchdownloadhandler.cpp
    search/searchhandler.cpp
    search/searchpluginmanager.cpp
    settingsstorage.cpp
    tagset.cpp
    torrentfileguard.cpp
    torrentfileswatcher.cpp
    torrentfilter.cpp
    utils/bytearray.cpp
    utils/compare.cpp
    utils/foreignapps.cpp
    utils/fs.cpp
    utils/gzip.cpp
    utils/io.cpp
    utils/misc.cpp
    utils/net.cpp
    utils/os.cpp
    utils/password.cpp
    utils/random.cpp
    utils/string.cpp
    utils/thread.cpp
)

target_link_libraries(qbt_base
    PRIVATE
        OpenSSL::Crypto
        OpenSSL::SSL
        ZLIB::ZLIB
    PUBLIC
        LibtorrentRasterbar::torrent-rasterbar
        Qt::Core
        Qt::CorePrivate
        Qt::Network
        Qt::Sql
        Qt::Xml
        qbt_common_cfg
)

if (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
    find_library(IOKit_LIBRARY IOKit)
    find_library(Carbon_LIBRARY Carbon)
    find_library(AppKit_LIBRARY AppKit)

    target_link_libraries(qbt_base PRIVATE
        ${AppKit_LIBRARY}
        ${Carbon_LIBRARY}
        ${IOKit_LIBRARY}
    )
elseif (CMAKE_SYSTEM_NAME STREQUAL "Windows")
    target_link_libraries(qbt_base PRIVATE Iphlpapi)
endif()

if (NOT GUI)
    target_compile_definitions(qbt_base PUBLIC DISABLE_GUI)
endif()

if (NOT WEBUI)
    target_compile_definitions(qbt_base PUBLIC DISABLE_WEBUI)
endif()

if (DBUS)
    target_link_libraries(qbt_base PUBLIC Qt::DBus)
endif()

=== debian/changelog ===
qbittorrent (4.6.7-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Build against Qt 5 and system's default libboost-dev instead of 1.83~.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 18 Sep 2024 09:02:50 -0700

qbittorrent (4.6.7-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Tue, 17 Sep 2024 08:32:13 +0200

qbittorrent (4.6.6-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Tue, 20 Aug 2024 08:53:31 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Christian Marillat <marillat@debian.org>
 Homepage: https://www.qbittorrent.org/
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Build-Depends: cmake,
                debhelper-compat (= 13),
-               libboost-dev,
-               libqt5svg5-dev (>= 5.15.0),
+               libboost-dev (>= 1.71~),
+               libqt5svg5-dev (>= 5.15.2),
                libtorrent-rasterbar-dev (>= 2.0.9~),
                libxkbcommon-dev,
                ninja-build,
-               qtbase5-private-dev (>= 5.15.0),
+               qtbase5-private-dev (>= 5.15.2),
                qttools5-dev,
                qttools5-dev-tools,
                systemd-dev | systemd,

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --without autoreconf -Scmake+ninja

override_dh_auto_configure:
	dh_auto_configure --builddirectory build-nox -- \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
	-DGUI=OFF -DQT6=OFF -DSYSTEMD=ON -DTESTING=ON

	dh_auto_configure --builddirectory build-gui -- \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
	-DQT6=OFF -DTESTING=ON

#	exit 1

override_dh_auto_build:
	dh_auto_build --builddirectory build-nox
	dh_auto_build --builddirectory build-gui

override_dh_auto_install:
	dh_auto_install --builddirectory build-nox --destdir debian/qbittorrent-nox
	dh_auto_install --builddirectory build-gui --destdir debian/qbittorrent

override_dh_installsystemduser:
	dh_installsystemduser -pqbittorrent-nox --no-enable

override_dh_auto_clean:
	dh_auto_clean --builddirectory build-nox
	dh_auto_clean --builddirectory build-gui

override_dh_clean:
	dh_clean src/webui/www/translations/webui_*.qm \
	src/lang/qbittorrent_*.qm src/base/version.h \
	debian/substvars

override_dh_auto_test:
# Doesn't find test target even with --builddirectory
#	dh_auto_test --builddirectory build-gui

# No dbgsym packages:
override_dh_strip:
	@echo "not building dbgsym packages for MX Linux"
	dh_strip --no-automatic-dbgsym

## qbittorrent 5.0.0

=== debian/changelog ===
qbittorrent (5.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Mon, 30 Sep 2024 08:23:22 +0200

## qbittorrent 5.0.1

=== debian/changelog ===
qbittorrent (5.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Tue, 29 Oct 2024 09:03:59 +0100

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,16 @@
 Source: qbittorrent
 Section: net
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Christian Marillat <marillat@debian.org>
+Maintainer: Christian Marillat <marillat@debian.org>
 Homepage: https://www.qbittorrent.org/
 Standards-Version: 4.7.0
-Build-Depends: cmake,
-               debhelper-compat (= 13),
-               libboost-dev (>= 1.71~),
-               libqt5svg5-dev (>= 5.15.2),
-               libtorrent-rasterbar-dev (>= 2.0.9~),
-               libxkbcommon-dev,
-               ninja-build,
-               qtbase5-private-dev (>= 5.15.2),
-               qttools5-dev,
-               qttools5-dev-tools,
-               systemd-dev | systemd,
-               zlib1g-dev
+Build-Depends: debhelper-compat (= 13), cmake, libtorrent-rasterbar-dev (>= 2.0.9~),
+ libboost-dev (>= 1.76~), zlib1g-dev, qt6-base-dev, qt6-tools-dev, qt6-svg-dev,
+ libxkbcommon-dev, systemd-dev, ninja-build, qt6-base-private-dev, pkgconf,
 
 Package: qbittorrent
 Architecture: any
-Depends: libqt5sql5-sqlite, libqt5svg5, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqt6sql6-sqlite, libqt6svg6,
 Description: bittorrent client based on libtorrent-rasterbar with a Qt5 GUI
  BitTorrent client written in C++ and based on libtorrent-rasterbar with a
  Qt5 user interface. qBittorrent is a feature rich but lightweight client
@@ -43,7 +33,7 @@
 
 Package: qbittorrent-nox
 Architecture: any
-Depends: libqt5sql5-sqlite, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqt6sql6-sqlite,
 Description: bittorrent client based on libtorrent-rasterbar (without X support)
  BitTorrent client written in C++ and based on libtorrent-rasterbar.
  qBittorrent-nox is a version of qBittorrent (Qt5 application) that does not

## qbittorrent 5.0.3

=== debian/changelog ===
qbittorrent (5.0.3-2) unstable; urgency=medium

  * qbittorrent should Depends on qt6-svg-plugins instead of libqt6svg6

 -- Christian Marillat <marillat@debian.org>  Sun, 05 Jan 2025 11:40:34 +0100

qbittorrent (5.0.3-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Wed, 18 Dec 2024 02:44:45 +0100

qbittorrent (5.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Mon, 18 Nov 2024 08:16:23 +0100

## qbittorrent 5.0.4

=== src/gui/CMakeLists.txt ===
find_package(Qt6 ${minQt6Version} REQUIRED COMPONENTS Widgets Svg)

# CMAKE_AUTO_UI causes unnecessary rebuilds
qt_wrap_ui(UI_HEADERS
    aboutdialog.ui
    addnewtorrentdialog.ui
    addtorrentparamswidget.ui
    autoexpandabledialog.ui
    banlistoptionsdialog.ui
    cookiesdialog.ui
    deletionconfirmationdialog.ui
    downloadfromurldialog.ui
    executionlogwidget.ui
    ipsubnetwhitelistoptionsdialog.ui
    mainwindow.ui
    optionsdialog.ui
    previewselectdialog.ui
    properties/peersadditiondialog.ui
    properties/propertieswidget.ui
    rss/automatedrssdownloader.ui
    rss/rsswidget.ui
    search/pluginselectdialog.ui
    search/pluginsourcedialog.ui
    search/searchjobwidget.ui
    search/searchwidget.ui
    shutdownconfirmdialog.ui
    speedlimitdialog.ui
    statsdialog.ui
    torrentcategorydialog.ui
    torrentcreatordialog.ui
    torrentoptionsdialog.ui
    torrentsharelimitswidget.ui
    torrenttagsdialog.ui
    trackerentriesdialog.ui
    trackersadditiondialog.ui
    uithemedialog.ui
    watchedfolderoptionsdialog.ui
)

add_library(qbt_gui STATIC
    # headers
    aboutdialog.h
    addnewtorrentdialog.h
    addtorrentparamswidget.h
    advancedsettings.h
    autoexpandabledialog.h
    banlistoptionsdialog.h
    color.h
    cookiesdialog.h
    cookiesmodel.h
    deletionconfirmationdialog.h
    desktopintegration.h
    downloadfromurldialog.h
    executionlogwidget.h
    filterpatternformat.h
    filterpatternformatmenu.h
    flowlayout.h
    fspathedit.h
    fspathedit_p.h
    guiaddtorrentmanager.h
    guiapplicationcomponent.h
    hidabletabwidget.h
    interfaces/iguiapplication.h
    ipsubnetwhitelistoptionsdialog.h
    lineedit.h
    log/logfiltermodel.h
    log/loglistview.h
    log/logmodel.h
    mainwindow.h
    optionsdialog.h
    powermanagement/powermanagement.h
    previewlistdelegate.h
    previewselectdialog.h
    progressbarpainter.h
    properties/downloadedpiecesbar.h
    properties/peerlistsortmodel.h
    properties/peerlistwidget.h
    properties/peersadditiondialog.h
    properties/pieceavailabilitybar.h
    properties/piecesbar.h
    properties/propertieswidget.h
    properties/proptabbar.h
    properties/speedplotview.h
    properties/speedwidget.h
    raisedmessagebox.h
    rss/articlelistwidget.h
    rss/automatedrssdownloader.h
    rss/feedlistwidget.h
    rss/htmlbrowser.h
    rss/rsswidget.h
    search/pluginselectdialog.h
    search/pluginsourcedialog.h
    search/searchjobwidget.h
    search/searchsortmodel.h
    search/searchwidget.h
    shutdownconfirmdialog.h
    speedlimitdialog.h
    statsdialog.h
    statusbar.h
    torrentcategorydialog.h
    torrentcontentfiltermodel.h
    torrentcontentitemdelegate.h
    torrentcontentmodel.h
    torrentcontentmodelfile.h
    torrentcontentmodelfolder.h
    torrentcontentmodelitem.h
    torrentcontentwidget.h
    torrentcreatordialog.h
    torrentoptionsdialog.h
    torrentsharelimitswidget.h
    torrenttagsdialog.h
    trackerentriesdialog.h
    trackerlist/trackerlistitemdelegate.h
    trackerlist/trackerlistmodel.h
    trackerlist/trackerlistsortmodel.h
    trackerlist/trackerlistwidget.h
    trackersadditiondialog.h
    transferlistdelegate.h
    transferlistfilters/basefilterwidget.h
    transferlistfilters/categoryfiltermodel.h
    transferlistfilters/categoryfilterproxymodel.h
    transferlistfilters/categoryfilterwidget.h
    transferlistfilters/statusfilterwidget.h
    transferlistfilters/tagfiltermodel.h
    transferlistfilters/tagfilterproxymodel.h
    transferlistfilters/tagfilterwidget.h
    transferlistfilters/trackersfilterwidget.h
    transferlistfilterswidget.h
    transferlistmodel.h
    transferlistsortmodel.h
    transferlistwidget.h
    tristateaction.h
    tristatewidget.h
    uithemecommon.h
    uithemedialog.h
    uithememanager.h
    uithemesource.h
    utils.h
    watchedfolderoptionsdialog.h
    watchedfoldersmodel.h
    windowstate.h

    # sources
    aboutdialog.cpp
    addnewtorrentdialog.cpp
    addtorrentparamswidget.cpp
    advancedsettings.cpp
    autoexpandabledialog.cpp
    banlistoptionsdialog.cpp
    cookiesdialog.cpp
    cookiesmodel.cpp
    deletionconfirmationdialog.cpp
    desktopintegration.cpp
    downloadfromurldialog.cpp
    executionlogwidget.cpp
    filterpatternformatmenu.cpp
    flowlayout.cpp
    fspathedit.cpp
    fspathedit_p.cpp
    guiaddtorrentmanager.cpp
    hidabletabwidget.cpp
    ipsubnetwhitelistoptionsdialog.cpp
    lineedit.cpp
    log/logfiltermodel.cpp
    log/loglistview.cpp
    log/logmodel.cpp
    mainwindow.cpp
    optionsdialog.cpp
    powermanagement/powermanagement.cpp
    previewlistdelegate.cpp
    previewselectdialog.cpp
    progressbarpainter.cpp
    properties/downloadedpiecesbar.cpp
    properties/peerlistsortmodel.cpp
    properties/peerlistwidget.cpp
    properties/peersadditiondialog.cpp
    properties/pieceavailabilitybar.cpp
    properties/piecesbar.cpp
    properties/propertieswidget.cpp
    properties/proptabbar.cpp
    properties/speedplotview.cpp
    properties/speedwidget.cpp
    raisedmessagebox.cpp
    rss/articlelistwidget.cpp
    rss/automatedrssdownloader.cpp
    rss/feedlistwidget.cpp
    rss/htmlbrowser.cpp
    rss/rsswidget.cpp
    search/pluginselectdialog.cpp
    search/pluginsourcedialog.cpp
    search/searchjobwidget.cpp
    search/searchsortmodel.cpp
    search/searchwidget.cpp
    shutdownconfirmdialog.cpp
    speedlimitdialog.cpp
    statsdialog.cpp
    statusbar.cpp
    torrentcategorydialog.cpp
    torrentcontentfiltermodel.cpp
    torrentcontentitemdelegate.cpp
    torrentcontentmodel.cpp
    torrentcontentmodelfile.cpp
    torrentcontentmodelfolder.cpp
    torrentcontentmodelitem.cpp
    torrentcontentwidget.cpp
    torrentcreatordialog.cpp
    torrentoptionsdialog.cpp
    torrentsharelimitswidget.cpp
    torrenttagsdialog.cpp
    trackerentriesdialog.cpp
    trackerlist/trackerlistitemdelegate.cpp
    trackerlist/trackerlistmodel.cpp
    trackerlist/trackerlistsortmodel.cpp
    trackerlist/trackerlistwidget.cpp
    trackersadditiondialog.cpp
    transferlistdelegate.cpp
    transferlistfilters/basefilterwidget.cpp
    transferlistfilters/categoryfiltermodel.cpp
    transferlistfilters/categoryfilterproxymodel.cpp
    transferlistfilters/categoryfilterwidget.cpp
    transferlistfilters/statusfilterwidget.cpp
    transferlistfilters/tagfiltermodel.cpp
    transferlistfilters/tagfilterproxymodel.cpp
    transferlistfilters/tagfilterwidget.cpp
    transferlistfilters/trackersfilterwidget.cpp
    transferlistfilterswidget.cpp
    transferlistmodel.cpp
    transferlistsortmodel.cpp
    transferlistwidget.cpp
    tristateaction.cpp
    tristatewidget.cpp
    uithemedialog.cpp
    uithememanager.cpp
    uithemesource.cpp
    utils.cpp
    watchedfolderoptionsdialog.cpp
    watchedfoldersmodel.cpp

    # generated .ui headers
    ${UI_HEADERS}
)

target_sources(qbt_gui INTERFACE about.qrc)

# UI headers will be generated in ${CMAKE_CURRENT_BINARY_DIR}
target_include_directories(qbt_gui PRIVATE ${CMAKE_CURRENT_BINARY_DIR})

target_link_libraries(qbt_gui
    PRIVATE
        qbt_base
    PUBLIC
        Qt::Gui Qt::Widgets
)

if (DBUS)
    target_sources(qbt_gui PRIVATE
        notifications/dbusnotifier.h
        notifications/dbusnotifier.cpp
        notifications/dbusnotificationsinterface.h
        notifications/dbusnotificationsinterface.cpp
        powermanagement/powermanagement_x11.h
        powermanagement/powermanagement_x11.cpp
    )
endif()

if (STACKTRACE)
    qt_wrap_ui(STACKTRACE_UI_HEADERS stacktracedialog.ui)

    target_sources(qbt_gui PRIVATE
        stacktracedialog.h
        stacktracedialog.cpp
        ${STACKTRACE_UI_HEADERS}
    )
endif()

if ((CMAKE_SYSTEM_NAME STREQUAL "Windows") OR (CMAKE_SYSTEM_NAME STREQUAL "Darwin"))
    target_sources(qbt_gui PRIVATE
        programupdater.h
        programupdater.cpp
    )
endif()

if (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
    target_sources(qbt_gui PRIVATE
        macosdockbadge/badger.h
        macosdockbadge/badger.mm
        macosdockbadge/badgeview.h
        macosdockbadge/badgeview.mm
        macutilities.h
        macutilities.mm
    )
    target_link_libraries(qbt_gui PRIVATE objc)
endif()

=== debian/changelog ===
qbittorrent (5.0.4-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Wed, 19 Feb 2025 01:35:24 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: qbittorrent
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libqt6sql6-sqlite, libqt6svg6,
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqt6sql6-sqlite, qt6-svg-plugins,
 Description: bittorrent client based on libtorrent-rasterbar with a Qt5 GUI
  BitTorrent client written in C++ and based on libtorrent-rasterbar with a
  Qt5 user interface. qBittorrent is a feature rich but lightweight client

## qbittorrent 5.1.0

=== src/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_SOURCE_DIR})

add_subdirectory(app)
add_subdirectory(base)

if (GUI)
    add_subdirectory(gui)
endif()

if (WEBUI)
    add_subdirectory(webui)
endif()

=== src/base/CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,13 @@
 add_library(qbt_base STATIC
     # headers
     3rdparty/expected.hpp
+    addtorrentmanager.h
     algorithm.h
     applicationcomponent.h
     asyncfilestorage.h
     bittorrent/abstractfilestorage.h
     bittorrent/addtorrentparams.h
+    bittorrent/announcetimepoint.h
     bittorrent/bandwidthscheduler.h
     bittorrent/bencoderesumedatastorage.h
     bittorrent/cachestatus.h
@@ -13,6 +15,7 @@
     bittorrent/common.h
     bittorrent/customstorage.h
     bittorrent/dbresumedatastorage.h
+    bittorrent/downloadpathoption.h
     bittorrent/downloadpriority.h
     bittorrent/extensiondata.h
     bittorrent/filesearcher.h
@@ -20,9 +23,7 @@
     bittorrent/infohash.h
     bittorrent/loadtorrentparams.h
     bittorrent/ltqbitarray.h
-    bittorrent/ltqhash.h
     bittorrent/lttypecast.h
-    bittorrent/magneturi.h
     bittorrent/nativesessionextension.h
     bittorrent/nativetorrentextension.h
     bittorrent/peeraddress.h
@@ -32,15 +33,25 @@
     bittorrent/session.h
     bittorrent/sessionimpl.h
     bittorrent/sessionstatus.h
+    bittorrent/sharelimitaction.h
     bittorrent/speedmonitor.h
+    bittorrent/sslparameters.h
     bittorrent/torrent.h
     bittorrent/torrentcontenthandler.h
     bittorrent/torrentcontentlayout.h
-    bittorrent/torrentcreatorthread.h
+    bittorrent/torrentcontentremoveoption.h
+    bittorrent/torrentcontentremover.h
+    bittorrent/torrentcreationmanager.h
+    bittorrent/torrentcreationtask.h
+    bittorrent/torrentcreator.h
+    bittorrent/torrentdescriptor.h
     bittorrent/torrentimpl.h
     bittorrent/torrentinfo.h
     bittorrent/tracker.h
     bittorrent/trackerentry.h
+    bittorrent/trackerentrystatus.h
+    concepts/explicitlyconvertibleto.h
+    concepts/stringable.h
     digest32.h
     exceptions.h
     global.h
@@ -52,10 +63,8 @@
     http/responsegenerator.h
     http/server.h
     http/types.h
-    iconprovider.h
     indexrange.h
     interfaces/iapplication.h
-    interfaces/istringable.h
     logger.h
     net/dnsupdater.h
     net/downloadhandlerimpl.h
@@ -85,6 +94,7 @@
     search/searchhandler.h
     search/searchpluginmanager.h
     settingsstorage.h
+    tag.h
     tagset.h
     torrentfileguard.h
     torrentfileswatcher.h
@@ -93,21 +103,25 @@
     unicodestrings.h
     utils/bytearray.h
     utils/compare.h
+    utils/datetime.h
     utils/foreignapps.h
     utils/fs.h
     utils/gzip.h
     utils/io.h
     utils/misc.h
     utils/net.h
+    utils/number.h
     utils/os.h
     utils/password.h
     utils/random.h
+    utils/sslkey.h
     utils/string.h
     utils/thread.h
     utils/version.h
     version.h
 
     # sources
+    addtorrentmanager.cpp
     applicationcomponent.cpp
     asyncfilestorage.cpp
     bittorrent/abstractfilestorage.cpp
@@ -117,12 +131,12 @@
     bittorrent/categoryoptions.cpp
     bittorrent/customstorage.cpp
     bittorrent/dbresumedatastorage.cpp
+    bittorrent/downloadpathoption.cpp
     bittorrent/downloadpriority.cpp
     bittorrent/filesearcher.cpp
     bittorrent/filterparserthread.cpp
     bittorrent/infohash.cpp
     bittorrent/ltqbitarray.cpp
-    bittorrent/magneturi.cpp
     bittorrent/nativesessionextension.cpp
     bittorrent/nativetorrentextension.cpp
     bittorrent/peeraddress.cpp
@@ -131,13 +145,19 @@
     bittorrent/resumedatastorage.cpp
     bittorrent/sessionimpl.cpp
     bittorrent/speedmonitor.cpp
+    bittorrent/sslparameters.cpp
     bittorrent/torrent.cpp
     bittorrent/torrentcontenthandler.cpp
-    bittorrent/torrentcreatorthread.cpp
+    bittorrent/torrentcontentremover.cpp
+    bittorrent/torrentcreationmanager.cpp
+    bittorrent/torrentcreationtask.cpp
+    bittorrent/torrentcreator.cpp
+    bittorrent/torrentdescriptor.cpp
     bittorrent/torrentimpl.cpp
     bittorrent/torrentinfo.cpp
     bittorrent/tracker.cpp
     bittorrent/trackerentry.cpp
+    bittorrent/trackerentrystatus.cpp
     exceptions.cpp
     http/connection.cpp
     http/httperror.cpp
@@ -145,7 +165,6 @@
     http/responsebuilder.cpp
     http/responsegenerator.cpp
     http/server.cpp
-    iconprovider.cpp
     logger.cpp
     net/dnsupdater.cpp
     net/downloadhandlerimpl.cpp
@@ -173,23 +192,28 @@
     search/searchhandler.cpp
     search/searchpluginmanager.cpp
     settingsstorage.cpp
+    tag.cpp
     tagset.cpp
     torrentfileguard.cpp
     torrentfileswatcher.cpp
     torrentfilter.cpp
     utils/bytearray.cpp
     utils/compare.cpp
+    utils/datetime.cpp
     utils/foreignapps.cpp
     utils/fs.cpp
     utils/gzip.cpp
     utils/io.cpp
     utils/misc.cpp
     utils/net.cpp
+    utils/number.cpp
     utils/os.cpp
     utils/password.cpp
     utils/random.cpp
+    utils/sslkey.cpp
     utils/string.cpp
     utils/thread.cpp
+    utils/version.cpp
 )
 
 target_link_libraries(qbt_base
@@ -208,9 +232,9 @@
 )
 
 if (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
+    find_library(AppKit_LIBRARY AppKit)
+    find_library(Carbon_LIBRARY Carbon)
     find_library(IOKit_LIBRARY IOKit)
-    find_library(Carbon_LIBRARY Carbon)
-    find_library(AppKit_LIBRARY AppKit)
 
     target_link_libraries(qbt_base PRIVATE
         ${AppKit_LIBRARY}
@@ -218,7 +242,7 @@
         ${IOKit_LIBRARY}
     )
 elseif (CMAKE_SYSTEM_NAME STREQUAL "Windows")
-    target_link_libraries(qbt_base PRIVATE Iphlpapi)
+    target_link_libraries(qbt_base PRIVATE Iphlpapi PowrProf)
 endif()
 
 if (NOT GUI)

=== debian/changelog ===
qbittorrent (5.1.0-2) unstable; urgency=medium

  * Add two patches from 5.1.2 version to fix security issues: WebAPI, Rss
    and Search modules (Closes: #1108843)

 -- Christian Marillat <marillat@debian.org>  Sun, 06 Jul 2025 16:40:13 +0200

qbittorrent (5.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Mon, 28 Apr 2025 09:24:06 +0200

qbittorrent (5.0.5-1) unstable; urgency=medium

  * New upstream bugfixe release.

 -- Christian Marillat <marillat@debian.org>  Mon, 14 Apr 2025 00:25:47 +0200

## qbittorrent 5.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,15 +7,13 @@
 )
 
 # version requirements - older versions may work, but you are on your own
-set(minBoostVersion 1.71)
-set(minQt5Version 5.15.2)
-set(minQt6Version 6.2)
-set(minOpenSSLVersion 1.1.1)
+set(minBoostVersion 1.76)
+set(minQt6Version 6.5.0)
+set(minOpenSSLVersion 3.0.2)
 set(minLibtorrent1Version 1.2.19)
-set(minLibtorrentVersion 2.0.9)
+set(minLibtorrentVersion 2.0.10)
 set(minZlibVersion 1.2.11)
 
-include(CheckCXXSourceCompiles) # TODO: migrate to CheckSourceCompiles in CMake >= 3.19
 include(GNUInstallDirs)
 
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/Modules)
@@ -25,7 +23,6 @@
 # features, list is loosely sorted by user's interests
 feature_option(GUI "Build GUI application" ON)
 feature_option(WEBUI "Enable built-in HTTP server for remote control" ON)
-feature_option(QT6 "Build with Qt 6 instead of Qt 5" OFF)
 feature_option(STACKTRACE "Enable stacktrace support" ON)
 feature_option(TESTING "Build internal testing suite" OFF)
 feature_option(VERBOSE_CONFIGURE "Show information about PACKAGES_FOUND and PACKAGES_NOT_FOUND in the configure output (only useful for debugging the CMake build scripts)" OFF)

=== dist/CMakeLists.txt ===
if (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
    add_subdirectory(mac)
elseif (UNIX AND (NOT APPLE))
    add_subdirectory(unix)
elseif (CMAKE_SYSTEM_NAME STREQUAL "Windows")
    add_subdirectory(windows)
endif()

=== src/webui/CMakeLists.txt ===
add_library(qbt_webui STATIC
    # headers
    api/apicontroller.h
    api/apierror.h
    api/appcontroller.h
    api/authcontroller.h
    api/isessionmanager.h
    api/logcontroller.h
    api/rsscontroller.h
    api/searchcontroller.h
    api/synccontroller.h
    api/torrentcreatorcontroller.h
    api/torrentscontroller.h
    api/transfercontroller.h
    api/serialize/serialize_torrent.h
    freediskspacechecker.h
    webapplication.h
    webui.h

    # sources
    api/apicontroller.cpp
    api/apierror.cpp
    api/appcontroller.cpp
    api/authcontroller.cpp
    api/logcontroller.cpp
    api/rsscontroller.cpp
    api/searchcontroller.cpp
    api/synccontroller.cpp
    api/torrentcreatorcontroller.cpp
    api/torrentscontroller.cpp
    api/transfercontroller.cpp
    api/serialize/serialize_torrent.cpp
    freediskspacechecker.cpp
    webapplication.cpp
    webui.cpp
)

target_sources(qbt_webui INTERFACE www/webui.qrc)

target_link_libraries(qbt_webui PRIVATE qbt_base)

=== debian/changelog ===
qbittorrent (5.1.2-1~mx25+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 26 Oct 2025 21:36:46 -0700

qbittorrent (5.1.2-1~bpo13+1) trixie-backports; urgency=medium

  * Upload to trixie-backports

 -- Christian Marillat <marillat@debian.org>  Fri, 19 Sep 2025 22:09:51 +0200

qbittorrent (5.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Mon, 07 Jul 2025 15:11:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,30 @@
 Source: qbittorrent
 Section: net
 Priority: optional
-Maintainer: Christian Marillat <marillat@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Christian Marillat <marillat@debian.org>
 Homepage: https://www.qbittorrent.org/
-Standards-Version: 4.7.0
-Build-Depends: debhelper-compat (= 13), cmake, libtorrent-rasterbar-dev (>= 2.0.9~),
- libboost-dev (>= 1.76~), zlib1g-dev, qt6-base-dev, qt6-tools-dev, qt6-svg-dev,
- libxkbcommon-dev, systemd-dev, ninja-build, qt6-base-private-dev, pkgconf,
+Standards-Version: 4.7.2
+Build-Depends: cmake,
+               debhelper-compat (= 13),
+               libboost-dev (>= 1.76~),
+               libtorrent-rasterbar-dev (>= 2.0.9~),
+               libxkbcommon-dev,
+               ninja-build,
+               pkgconf,
+               qt6-base-dev,
+               qt6-base-private-dev,
+               qt6-svg-dev,
+               qt6-tools-dev,
+               systemd-dev,
+               zlib1g-dev
 
 Package: qbittorrent
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libqt6sql6-sqlite, qt6-svg-plugins,
-Description: bittorrent client based on libtorrent-rasterbar with a Qt5 GUI
+Depends: libqt6sql6-sqlite, qt6-svg-plugins, ${misc:Depends}, ${shlibs:Depends}
+Description: bittorrent client based on libtorrent-rasterbar with a Qt6 GUI
  BitTorrent client written in C++ and based on libtorrent-rasterbar with a
- Qt5 user interface. qBittorrent is a feature rich but lightweight client
+ Qt6 user interface. qBittorrent is a feature rich but lightweight client
  that is very similar to uTorrent. Its main features are:
  .
   * Polished uTorrent-like user interface
@@ -33,10 +44,10 @@
 
 Package: qbittorrent-nox
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libqt6sql6-sqlite,
+Depends: libqt6sql6-sqlite, ${misc:Depends}, ${shlibs:Depends}
 Description: bittorrent client based on libtorrent-rasterbar (without X support)
  BitTorrent client written in C++ and based on libtorrent-rasterbar.
- qBittorrent-nox is a version of qBittorrent (Qt5 application) that does not
+ qBittorrent-nox is a version of qBittorrent (Qt6 application) that does not
  require X and can be controlled via a WebUI, thus is more suitable for
  headless servers. It is a feature rich but lightweight client that is very
  similar to rTorrent. Its main features are:

=== debian/rules ===
--- 
+++ 
@@ -9,11 +9,11 @@
 override_dh_auto_configure:
 	dh_auto_configure --builddirectory build-nox -- \
 	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
-	-DGUI=OFF -DQT6=OFF -DSYSTEMD=ON -DTESTING=ON
+	-DGUI=OFF -DQT6=ON -DSYSTEMD=ON -DTESTING=ON
 
 	dh_auto_configure --builddirectory build-gui -- \
 	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
-	-DQT6=OFF -DTESTING=ON
+	-DQT6=ON -DTESTING=ON
 
 #	exit 1
 
@@ -43,5 +43,5 @@
 
 # No dbgsym packages:
 override_dh_strip:
-	@echo "not building dbgsym packages for MX Linux"
+	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
 	dh_strip --no-automatic-dbgsym
